# Function getUpgradeContractAccounts

- getUpgradeContractAccounts(tokenBridgeProgramId, wormholeProgramId, payer, vaa, spill?): UpgradeContractAccounts

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"TokenBridge:UpgradeContract">

  - ##### `Optional` spill: PublicKeyInitData

  #### Returns UpgradeContractAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/governance.ts:122

Generated using TypeDoc